# Uses of Class
org.apache.sysds.runtime.transform.encode.ColumnEncoderComposite

Packages that use ColumnEncoderComposite
Package
Description
org.apache.sysds.runtime.transform.encode

## Uses of ColumnEncoderComposite in org.apache.sysds.runtime.transform.encode

Methods in org.apache.sysds.runtime.transform.encode that return types with arguments of type ColumnEncoderComposite
Modifier and Type
Method
Description
`List<ColumnEncoderComposite>`
MultiColumnEncoder.`getColumnEncoders()`
`List<ColumnEncoderComposite>`
MultiColumnEncoder.`getCompositeEncodersForID(int colID)`
Method parameters in org.apache.sysds.runtime.transform.encode with type arguments of type ColumnEncoderComposite
Modifier and Type
Method
Description
`<T extends ColumnEncoder, E>
void`
MultiColumnEncoder.`applyToAll(Consumer<? super ColumnEncoderComposite> function)`
Constructor parameters in org.apache.sysds.runtime.transform.encode with type arguments of type ColumnEncoderComposite
Modifier
Constructor
Description
``
`MultiColumnEncoder(List<ColumnEncoderComposite> columnEncoders)`